#include "indiccadorbotonset.h"
#include "ui_indiccadorbotonset.h"

#include <QPainter>

IndiccadorBotonsEt::IndiccadorBotonsEt(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::IndiccadorBotonsEt)
{
    ui->setupUi(this);

    vSetNomBoto("Mostra");
    vDibuixInicialBoto();
}

IndiccadorBotonsEt::IndiccadorBotonsEt(QString qsNomBoto, QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::IndiccadorBotonsEt)
{
    ui->setupUi(this);

    vSetNomBoto(qsNomBoto);
    vDibuixInicialBoto();
}

IndiccadorBotonsEt::~IndiccadorBotonsEt()
{
    delete ui;
}

void IndiccadorBotonsEt::vSetNomBoto(QString qs){
    ui->etNomBoto->setText(qs);
}

void IndiccadorBotonsEt::vSetEstatBoto(bool b){ // True->premut, False->No premut
    ui->etPixelBoto->setPixmap((b)?*pixBotoPremut:*pixBotoNoPremut);
}

void IndiccadorBotonsEt::vDibuixInicialBoto(){
    QPixmap *pix = new QPixmap(43,22);
    QPainter *paint = new QPainter(pix);
    paint->setBrush(Qt::lightGray);
    paint->drawRect(0, 0, 42, 21);
    paint->setBrush(Qt::gray);
    paint->setPen(Qt::white);
    paint->drawRect(10,5,20,10);

    pixBotoNoPremut = new QPixmap(43,22);
    *pixBotoNoPremut = *pix;

    paint->setBrush(Qt::white);
    paint->drawRect(10,5,20,10);
    pixBotoPremut = new QPixmap(43,22);
    *pixBotoPremut = *pix;

    ui->etPixelBoto->setPixmap(*pixBotoNoPremut);

//    ui->btBoto->setText("");
//    QIcon ButtonIcon(*pixBotoNoPremut);
//    ui->btBoto->setIcon(ButtonIcon);
//    ui->btBoto->setIconSize(pix->rect().size());
}
